import React from 'react';
import withQueryFeathers from './hoc/withQueryFeathers';

const ExampleList = ({data}) => {
  console.log('ExampleList data', data)
  return (
    <div>11
      <div>{data.loading}</div>
      <div>{data.error}</div>
      <div>{data.loaded && data.result.data.map(item => (
        <li key={item._id}>
          {item.name}
        </li>
      ))}</div>
      <div>{data.refetch}</div>
    </div>
  )
}

export default withQueryFeathers({
  service: 'traces',
  method: 'find',
  params: { // variables
    query: {
      status: 'created',
    },
  },
  skip: false,
  options: {},
})(ExampleList);
